PEGASUS-REMOVE(1)

NAME
pegasus-remove - removes a workflow that has been planned and submitted using pegasus-plan and pegasus-run

SYNOPSIS

pegasus-remove [-d dagid] [-v] [rundir]

DESCRIPTION

The pegasus-remove command remove a submitted/running workflow that has been planned and submitted using pegasus-plan and pegasus-run. The command can be invoked either in the planned directory with no options and arguments or just the full path to the run directory.

OPTIONS

By default pegasus-remove does not require any options or arguments if invoked from within the planned workflow directory. If running the command outside the workflow directory then a full path to the workflow directory needs to be specified or the dagid of the workflow to be removed.

pegasus-remove takes the following options:

-d dagid, --dagid dagid
    The workflow dagid to remove

-v, --verbose
    Raises debug level. Each invocation increase the level by 1.

rundir
    Is the full qualified path to the base directory containing the planned workflow DAG and submit files. This is optional if pegasus-remove command is invoked from within the run directory.

RETURN VALUE

If the workflow is removed successfully pegasus-remove returns with an exit code of 0. However, in case of error, a non-zero exit code indicates problems. An error message clearly marks the cause.

FILES

The following files are opened:

braindump
    This file is located in the rundir. pegasus-remove uses this file to find out paths to several other files.

ENVIRONMENT VARIABLES

PATH
    The path variable is used to locate binary for condor_rm.

SEE ALSO

pegasus-plan(1), pegasus-run(1)

AUTHORS

Gaurang Mehta <gmehta at isi dot edu>

Jens-S. Vöckler <voeckler at isi dot edu>

Pegasus Team http://pegasus.isi.edu